// Add you DevContainer configuration in this file
// See: https://containers.dev/ for the "official" DevContainer specifications
{
    "name": "latex-default", //Add the name your DevContainer Here,
    "image": "texlive/texlive", //Add the name of your Docker image here. See: https://hub.docker.com for available containers
    "containerEnv": { //Add your build arguments here
        "DEBIAN_FRONTEND": "noninteractive"
    },
    "runArgs": ["--net=host"], //Add you docker run arguments here
    "updateContentCommand": ".devcontainer/install-tools.sh", //Path to the installation script run inside the DevContainer
    // "customizations": {
    //     //Add your customizations here
    // },
    // "forwardPorts": [], //Add your port forwarding from inside/oustide here
    "workspaceMount": "source=${localWorkspaceFolder},target=/workspaces/containers,type=bind", //Add your local mounting inside the DevContainer here
    "workspaceFolder": "/workspaces/containers", //Add your workspace folder here
    "customizations": {
        "vscode": {
            "extensions": [
                "james-yu.latex-workshop",
                "eamodio.gitlens",
                "jenselme.grammalecte",
                "jebbs.plantuml"
            ],
            "settings": {
                "grammalecte.allowedExtension": ".md,.rst,.adoc,.asciidoc,.creole,.t2t,.tex",
            }
        }
    },
    "features": {
        "ghcr.io/devcontainers/features/git:1": {},
    }
}